import { AggregationMapping } from '@admin-client/reporting-shared';
import { E2EAggregationMappingExecutor } from './aggregation-mapping.executor';
import { E2EAggregationMapperNavigator } from './aggregation-mapping.navigator';

export class E2EAggregationMappingHelper {
  private readonly navigator: E2EAggregationMapperNavigator = new E2EAggregationMapperNavigator();
  private readonly executor: E2EAggregationMappingExecutor = new E2EAggregationMappingExecutor();

  public openStatistik(): void {
    this.navigator.openStatistik();
  }

  public fillFormular(aggregationMapping: AggregationMapping): void {
    this.executor.fillFormular(aggregationMapping);
  }
}
