import { AggregationMappingE2EComponent } from '../../components/aggregation-mapping/aggregation-mapping.e2e.component';
import { MainPage } from '../../page-objects/main.po';
import { exist } from '../../support/cypress.util';
import { E2EAppHelper } from '../app.helper';

export class E2EAggregationMapperNavigator {
  private readonly appHelper: E2EAppHelper = new E2EAppHelper();

  private readonly mainPage: MainPage = new MainPage();

  private readonly aggregationMappingPage: AggregationMappingE2EComponent = new AggregationMappingE2EComponent();

  public openStatistik(): void {
    this.appHelper.navigateToDomain();
    this.mainPage.getStatistikNavigationItem().click();
    exist(this.aggregationMappingPage.getHeaderText());
  }
}
