#!/bin/bash
RED='\033[0;31m'
echo -e "${RED}This skript logins to the Cluster and connects local port 9190 to Zufi-Server"

oc login --web --server=https://api.okd.dev.by.ozg-cloud.systems:6443 --insecure-skip-tls-verify=true

oc project zufi

docker_bridge_gateway_ip_addr=$(docker network inspect bridge --format='{{(index .IPAM.Config 0).Gateway}}')

oc port-forward --address localhost,127.0.0.1,"$docker_bridge_gateway_ip_addr" service/zufi-server 9190:9090
