import { AggregationMappingListResource } from '@admin-client/reporting-shared';
import { StateResource, ToEmbeddedResourcesPipe } from '@alfa-client/tech-shared';
import { Component, Input } from '@angular/core';
import { SpinnerComponent } from '@ods/component';
import { ListComponent } from '@ods/system';
import { AggregationMappingListLinkRel } from 'libs/admin/reporting-shared/src/lib/aggregation-mapping.linkrel';
import { AggregationMappingListItemComponent } from './aggregation-mapping-list-item/aggregation-mapping-list-item.component';

@Component({
  selector: 'admin-aggregation-mapping-list',
  standalone: true,
  templateUrl: './aggregation-mapping-list.component.html',
  imports: [SpinnerComponent, ListComponent, AggregationMappingListItemComponent, ToEmbeddedResourcesPipe],
})
export class AggregationMappingListComponent {
  @Input({ required: true }) aggregationMappingListStateResource: StateResource<AggregationMappingListResource>;

  public readonly AggregationMappingListLinkRel = AggregationMappingListLinkRel;
}
