import { AnschriftToStringPipe, OrganisationsEinheitResource } from '@alfa-client/zustaendige-stelle-shared';
import { Component, Input } from '@angular/core';
import { ForwardingItemComponent, ForwardingItemInfoComponent } from '@ods/system';
import { ChangeButtonContainerComponent } from './change-button-container/change-button-container.component';

@Component({
  selector: 'alfa-selected-search-item',
  standalone: true,
  imports: [ChangeButtonContainerComponent, AnschriftToStringPipe, ForwardingItemComponent, ForwardingItemInfoComponent],
  templateUrl: './selected-search-item.component.html',
})
export class SelectedSearchItemComponent {
  @Input() organisationsEinheitResource: OrganisationsEinheitResource;
}
